<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.modules.kangzai.dao.BusUrbanFloodPointDao">

    <!--分页查询-->
    <select id="listPage" resultType="com.zcloud.modules.kangzai.entity.BusUrbanFloodPointEntity">
        SELECT
        t.*
        FROM bus_urban_flood_point t
        <where>
            <if test="params.urbanFloodPointId != null and params.urbanFloodPointId != ''">
                AND t.urban_flood_point_id = #{params.urbanFloodPointId}
            </if>
            <if test="params.pointName != null and params.pointName != ''">
                AND t.point_name like concat('%',#{params.pointName},'%')
            </if>
            <if test="params.province != null and params.province != ''">
                AND t.province = #{params.province}
            </if>
            <if test="params.city != null and params.city != ''">
                AND t.city = #{params.city}
            </if>
            <if test="params.county != null and params.county != ''">
                AND t.county = #{params.county}
            </if>
            <if test="params.village != null and params.village != ''">
                AND t.village = #{params.village}
            </if>
            <if test="params.street != null and params.street != ''">
                AND t.street = #{params.street}
            </if>
            <if test="params.pointType != null and params.pointType != ''">
                AND t.point_type = #{params.pointType}
            </if>
            <if test="params.currentWaterLevel != null and params.currentWaterLevel != ''">
                AND t.current_water_level = #{params.currentWaterLevel}
            </if>
            <if test="params.remarks != null and params.remarks != ''">
                AND t.remarks = #{params.remarks}
            </if>
            <if test="params.longitude != null and params.longitude != ''">
                AND t.longitude = #{params.longitude}
            </if>
            <if test="params.latitude != null and params.latitude != ''">
                AND t.latitude = #{params.latitude}
            </if>
            <if test="params.creator != null and params.creator != ''">
                AND t.creator = #{params.creator}
            </if>
            <if test="params.createTime != null and params.createTime != ''">
                AND t.create_time = #{params.createTime}
            </if>
            <if test="params.operator != null and params.operator != ''">
                AND t.operator = #{params.operator}
            </if>
            <if test="params.operatTime != null and params.operatTime != ''">
                AND t.operat_time = #{params.operatTime}
            </if>
            <if test="params.isDelete != null">
                AND t.is_delete = #{params.isDelete}
            </if>
        </where>
        ORDER BY t.create_time DESC
    </select>
</mapper>
